Subject: RE: draft-nadeau-pwe3-oam-msg-map-03.txt

From: [email-masked]
Date: Mon, 12 Jan 2004 09:46:23 -0000

Stewart,

I very much agree with Yaakov on this.  

I found the document quite confusing as it mixes up both client/server and peer network layer interworking relationships.......the treatment is for sure not the same in these cases.  Further, it is more than OAM that needs considering (even if one got the OAM parts right, which this document does not IMO), eg one also has to consider the impact:
-	on the higher level client entity that is common to each data-plane layer network partition;
-	to functions that may/may_not be present in each peer data-plane layer network protocol;
-	the control-plane relationships between the various data-plane layer networks.

If you are going to get this topic right (and its an area we, as an operator, are looking at right now internally from the perspective of network convergence) you have to be very clear about the layer relationships....so this means getting to grips with the G.805/809 functional architecture description about what is really going on first. 

I was also under the impression that peer layer network I/W topics (aka (badly IMO) 'service I/W') was outside the WG's charter?

regards, Neil

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Yaakov Stein
> Sent: 11 January 2004 07:13
> To: [email-masked]; [email-masked]
> Subject: RE: [PWE3] draft-nadeau-pwe3-oam-msg-map-03.txt
> 
> 
> Stewart, 
> 
> > Is there PWE3 WG consensus to make:
> > 
> > 
> http://www.ietf.org/internet-drafts/draft-nadeau-pwe3-oam-msg-
map-03.txt
> a WG draft?

Regarding the "like to like" case, although I am certainly in favor
of rationalizing the OAM treatment for the different PW types, 
I defer to the OAM experts regarding the details.

I do have serious problems with the "service interworking" cases
discussed in this draft.

First, I believe they are beyond the scope of our original charter
(at least as it presently stands).

Second, since we have never defined payload encapsulations 
for the service interworking cases, I believe it is premature to
attempt to solve the OAM problems.

Finally, I find the discussion in the introduction to be quite confusing.
The user data for the ATM to FR over MPLS case is presented as either
being carried by ATM/FR or FR/ATM service interworking before the 
MPLS edge, and then using an FR or ATM PW respectively. 
Why then do we need figure 5? 
If, from the point of view of the MPLS network, 
we are simply carrying either an ATM or FR PW, 
then the whole issue has been reduced to cases we know how to treat.

Y(J)S

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3